//
function doSearch(action, page, fout) {
    //
    var form = document.input;
    if (form == null) {
        return;
    }

	//
    var category = form.category;
    if (category) {
        var category_name = form.category_name;

        if (category.selectedIndex > 0) {
            category_name.value = category[category.selectedIndex].text;
        }
    }
    //
    if (form.page_num && page) {
        form.page_num.value = page;
    }
    if (form.file_output) {
        form.file_output.value = fout;
    }
    //
    form.operation.value = "search";
    //
    if (fout == 1) {
        form.target = "main";
    } else {
        form.target = "main";
        form.elements[action].value = "true";
    }
    //
    form.submit();
}
